commit:     a575b622c1ed94786d901a500740e12f72753810
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 24 11:16:03 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Sep 26 17:15:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a575b622

dev-python/qscintilla-python: add 2.13.3

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-python/qscintilla-python/Manifest              |  1 +
 .../qscintilla-python-2.13.3.ebuild                | 80 ++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-python/qscintilla-python/Manifest 
b/dev-python/qscintilla-python/Manifest
index 73c74d6856e9..43c913a0fa93 100644
--- a/dev-python/qscintilla-python/Manifest
+++ b/dev-python/qscintilla-python/Manifest
@@ -1 +1,2 @@
 DIST QScintilla_src-2.13.1.tar.gz 3059819 BLAKE2B 
147d61cea2d557da6d922599f826a62c4b216f3252226892076ff785a080c9de1fef199297156fce55a00006567240af45e2833e085e423ad47e29c4f9b2241e
 SHA512 
edf7f358e188235d8a39a7d4a8332ca478460a65a8829d9cafcab8f22b84abcd8d624de2076d81a66a56d5a5c53edc6ecc223459bbbb8ac876c5befd8873f700
+DIST QScintilla_src-2.13.3.tar.gz 3060031 BLAKE2B 
e93dd884f630ef5f02fbf558ea8d9f94cfde1af03b811c8df9c3197ce9cadc430bf9727aec114ba118588effa5bc76166e3bda48800b6112edc8e8c598d72952
 SHA512 
be102fd6123fad0bc7f8de39080886369398889de48a4ec8873a0751890d7be1f238ae5194b71d31aac492e2881b6bf7885d9c06a2a47e36328780b47694f5b5

diff --git a/dev-python/qscintilla-python/qscintilla-python-2.13.3.ebuild 
b/dev-python/qscintilla-python/qscintilla-python-2.13.3.ebuild
new file mode 100644
index 000000000000..d570238bf5a6
--- /dev/null
+++ b/dev-python/qscintilla-python/qscintilla-python-2.13.3.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit python-r1 qmake-utils
+
+DESCRIPTION="Python bindings for QScintilla"
+HOMEPAGE="https://www.riverbankcomputing.com/software/qscintilla/ 
https://pypi.org/project/QScintilla/";
+
+MY_PN=QScintilla
+MY_P=${MY_PN}_src-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+       SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz";
+else
+       
SRC_URI="https://www.riverbankcomputing.com/static/Downloads/${MY_PN}/${PV}/${MY_P}.tar.gz";
+fi
+S=${WORKDIR}/${MY_P}/Python
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE="debug"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+       >=dev-python/PyQt5-5.15.5[gui,printsupport,widgets,${PYTHON_USEDEP}]
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtprintsupport:5
+       dev-qt/qtwidgets:5
+       ~x11-libs/qscintilla-${PV}:=
+"
+RDEPEND="${DEPEND}
+       >=dev-python/PyQt5-sip-12.9:=[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/PyQt-builder-1.10[${PYTHON_USEDEP}]
+       >=dev-python/sip-6.2[${PYTHON_USEDEP}]
+       dev-qt/qtcore:5
+"
+
+src_prepare() {
+       default
+       mv pyproject{-qt5,}.toml || die
+}
+
+src_configure() {
+       configuration() {
+               local myconf=(
+                       sip-build
+                       --verbose
+                       --build-dir="${BUILD_DIR}"
+                       --scripts-dir="$(python_get_scriptdir)"
+                       --qmake="$(qt5_get_bindir)"/qmake
+                       --no-make
+                       $(usev debug '--debug --qml-debug --tracing')
+               )
+               echo "${myconf[@]}"
+               "${myconf[@]}" || die
+
+               # Run eqmake to respect toolchain and build flags
+               run_in_build_dir eqmake5 -recursive ${MY_PN}.pro
+       }
+       python_foreach_impl configuration
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+       installation() {
+               emake INSTALL_ROOT="${D}" install
+               python_optimize
+       }
+       python_foreach_impl run_in_build_dir installation
+}

Reply via email to